List header profiles
curl --request GET \
--url https://api.creditor.younegotiate.com/header-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/header-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/header-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"company_id": 123,
"subclient_id": 123,
"name": "<string>",
"headers": [
"Account Number",
"First Name",
"Last Name"
],
"date_format": "Y-m-d",
"mapped_headers": {
"account_number": "Account Number",
"first_name": "First Name"
},
"required_fields": [
"account_number",
"first_name",
"last_name"
],
"suggested_mapped_headers": {},
"auto_detected_fields": [
"<string>"
],
"is_mapped": true,
"sftp_connection_id": 123,
"sftp_connection": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 123,
"from": 123,
"last_page": 123,
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}List header profiles
List CSV header profiles scoped to the authenticated creditor company and sub-account.
GET
/
header-profiles
List header profiles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search header profile name.
Maximum string length:
255Sort field.
Available options:
created_on, name, status Sort direction.
Available options:
asc, desc Number of records per page.
Required range:
1 <= x <= 100Last modified on July 20, 2026
Was this page helpful?
⌘I

